package com.zfire.jiasm.syncdata.download.other.refunds;


import lombok.extern.slf4j.Slf4j;

/** 新做的接口
 * 家用空调/家用空气能数据采集故障机采集
 * /api/acquisition/ext/domestic/brokenMachine
 */
@Slf4j
// @Component
public class SolidAcquisition {
    /*
    @Resource
    TblAddUploadListService tblAddUploadListService;
    @Resource
    OtherDownService otherDownService;


    @Scheduled(fixedDelayString = "${thgzjcj}")
    public void acquisition(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        if (1==1){
            return;
        }

        log.info("开始家用空调/家用空气能故障机数据采集: \uF0B7{}",sdf.format(new Date()));
        // 提取家用特殊安装工单需要新增的数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getType, 8)
                .eq(TblAddUploadList::getSynStatus, 0).list();
        for (TblAddUploadList item : taus) {
            try{
                otherDownService.addSolidAcquisition(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("家用空调/家用空气能故障机数据采集【" + item.getTabName() +"】失败");
            }
        }
        log.info("家用空调/家用空气能故障机数据采集结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
